Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ExceptionDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ExceptionDescriptionHelper

public class ExceptionDescriptionHelper
extends java.lang.Object

Helper class for : ExceptionDescription

Author:
  OpenORB Compiler

Constructor Summary
`ExceptionDescriptionHelper()`

Method Summary
`static ExceptionDescription` | `extract(Any a)` Extract ExceptionDescription from an any
`static java.lang.String` | `id()` Return the ExceptionDescription IDL ID
`static void` | `insert(Any a, ExceptionDescription t)` Insert ExceptionDescription into an any
`static ExceptionDescription` | `read(InputStream istream)` Read ExceptionDescription from a marshalled stream
`static TypeCode` | `type()` Return the ExceptionDescription TypeCode
`static void` | `write(OutputStream ostream, ExceptionDescription value)` Write ExceptionDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionDescriptionHelper

    public ExceptionDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ExceptionDescription t)

  Insert ExceptionDescription into an any
  Parameters:
    `a` - an any
    `t` - ExceptionDescription value

### extract

    public static ExceptionDescription extract(Any a)

  Extract ExceptionDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ExceptionDescription value

### type

    public static TypeCode type()

  Return the ExceptionDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ExceptionDescription IDL ID
  Returns:
    an ID

### read

    public static ExceptionDescription read(InputStream istream)

  Read ExceptionDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ExceptionDescription value

### write

    public static void write(OutputStream ostream,
                             ExceptionDescription value)

  Write ExceptionDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ExceptionDescription value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD